import {Component, Inject, OnInit} from '@angular/core';
import {Router} from '@angular/router';
import {MAT_DIALOG_DATA, MatDialogRef} from '@angular/material/dialog';
import {MatSnackBar} from '@angular/material/snack-bar';

@Component({
  selector: 'slf-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.scss']
})
export class DialogComponent implements OnInit {
  private readonly existAmaranthaceae: boolean;
  private readonly existChenopodiaceae: boolean;

  constructor(public dialogRef: MatDialogRef<DialogComponent>,
              private router: Router,
              @Inject(MAT_DIALOG_DATA) public data: { existAmaranthaceae: boolean, existChenopodiaceae: boolean },
              private readonly snackBar: MatSnackBar) {
    this.existAmaranthaceae = data.existAmaranthaceae;
    this.existChenopodiaceae = data.existChenopodiaceae;

  }

  ngOnInit(): void {
  }

  public onGoToFamily(param: string): void {
    this.dialogRef.close();
    if (param !== undefined) {

      let existResult: boolean;

      if (param == 'Amaranthaceae') {
        existResult = this.existAmaranthaceae;
      } else {
        existResult = this.existChenopodiaceae;
      }

      if (existResult) {
        this.router.navigate(['family/', param]);
      } else {

        this.snackBar.open(`Data not found for family: ${param}`, 'Close', {
          horizontalPosition: 'end',
          verticalPosition: 'bottom',
          duration: 4000
        });

      }
    }
  }

}
